//+------------------------------------------------------------------+
//|                                                   SymbolInfo.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//--- String variable for comment
   string com="";

//--- Symbol description
   string symbol=SymbolInfoString(_Symbol,SYMBOL_DESCRIPTION);
   StringAdd(com,"Symbol: "+symbol);
   StringAdd(com,"\r\n");

//--- Path to symbol
   string symbol_path=SymbolInfoString(_Symbol,SYMBOL_PATH);
   StringAdd(com,"Path: "+symbol_path);
   StringAdd(com,"\r\n");

//--- Profit currency
   string profit_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_PROFIT);
   StringAdd(com,"Profit currency: "+profit_currency);
   StringAdd(com,"\r\n");

//--- Base currency
   string base_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_BASE);
   StringAdd(com,"Base currency: "+base_currency);
   StringAdd(com,"\r\n");

//--- Margin currency
   string margin_currency=SymbolInfoString(_Symbol,SYMBOL_CURRENCY_MARGIN);
   StringAdd(com,"Margin currency: "+margin_currency);
   StringAdd(com,"\r\n");
   StringAdd(com,"\r\n");

//--- 1 lot size of standard contract
   double lot_size=SymbolInfoDouble(_Symbol,SYMBOL_TRADE_CONTRACT_SIZE);
   StringAdd(com,"Standard contract: "+DoubleToString(lot_size,2)+" "+margin_currency);
   StringAdd(com,"\r\n");
//---
   double margin_initial=SymbolInfoDouble(_Symbol,SYMBOL_MARGIN_INITIAL);
   StringAdd(com,"Margin size to open 1 lot position: "+DoubleToString(margin_initial,2)+" "+margin_currency);
   StringAdd(com,"\r\n");

//--- Now print everything on chart
   Comment(com);
  }
//+------------------------------------------------------------------+
